package com.fdkankan.platform.user.service;

import com.alibaba.fastjson.JSONObject;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.platform.user.request.RequestUser;

import java.util.Map;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/3/3
 **/
public interface IUserSceneService {

    ResultData checkDownload(RequestUser param);

    Map<String, Object> downloadSceneAdmin(RequestUser param, String token);

    JSONObject getSceneDownloadProcessAdmin(String sceneNum) throws Exception;

}
